![alt text](https://raw.githubusercontent.com/cloudera/hue/master/docs/images/hue_logo.png "Hue Logo")

High Level Roadmap
------------------

Next release is 4.9 [HUE-9488](https://issues.cloudera.org/browse/HUE-9488)

* Editor
  * [ ] Editor v2 [HUE-8768](https://issues.cloudera.org/browse/HUE-8768)
  * [ ] Query Scheduling [HUE-3797](https://issues.cloudera.org/browse/HUE-3797)
  * [ ] Better [SQL parsers](https://docs.gethue.com/developer/parsers/) for [Databases](https://docs.gethue.com/administrator/configuration/connectors/):
    * [Apache Calcite](https://calcite.apache.org) based: Phoenix, Druid, Spark SQL, Presto, Flink SQL..
    * Kafka SQL, Elastic Search SQL, Solr SQL, PartiQl, ZetaSql...
* Cloud
  * [ ] Configuration of connectors via UI [HUE-8758](https://issues.cloudera.org/browse/HUE-8758)
  * [ ] Multi clusters [HUE-8330](https://issues.cloudera.org/browse/HUE-8330)
  * [ ] Multi tenants [HUE-8530](https://issues.cloudera.org/browse/HUE-8530)
  * [ ] Google Storage connector [HUE-8978](https://issues.cloudera.org/browse/HUE-8978)
* Collaboration
  * [ ] Document sharing improvements [HUE-8790](https://issues.cloudera.org/browse/HUE-8790)
  * [ ] Charting and visualization revamp [HUE-6093](https://issues.cloudera.org/browse/HUE-6093)
  * [ ] Result Sharing (Google Spreadsheet, Slack...)
* Core
  * [ ] Task Server workers [#1526](https://github.com/cloudera/hue/issues/1526)
  * [ ] Result caching and storage [HUE-8787](https://issues.cloudera.org/browse/HUE-8787)
  * [ ] Reference architecture [HUE-8815](https://issues.cloudera.org/browse/HUE-8815)
  * [ ] Python 3 support [HUE-8737](https://issues.cloudera.org/browse/HUE-8737)
  * [ ] Gunicorn [HUE-8739](https://issues.cloudera.org/browse/HUE-8739)
  * [ ] Git integration [HUE-951](https://issues.cloudera.org/browse/HUE-951)
* API
  * [ ] [Web Component](https://docs.gethue.com/developer/components/)
  * [ ] Public SQL [REST APIs](https://docs.gethue.com/developer/api/) [HUE-1450](https://issues.cloudera.org/browse/HUE-1450)

Links

* [Open Tasks](https://issues.cloudera.org/projects/HUE/issues)
* [Designs](/docs/designs)
* How to [contribute](/CONTRIBUTING.md)
