+++
title = "Hue Guide"
date = 2019-03-13T18:27:26-07:00
weight = 1
chapter = false
pre = "<b>1. </b>"
+++
![Hue Logo Back-end](/images/hue_logo.png)

<h1>Documentation</h1>

Hue is a mature open source SQL Assistant for querying any [Databases & Data Warehouses](/administrator/configuration/connectors/) and collaborating:

Many companies and organizations use Hue to quickly answer questions via self-service querying e.g.:

* 1000+ customers
* Top Fortune 500

are executing 100s of 1000s of queries daily. It is free to install and also ships in Cloudera Data Platform, Amazon AWS, Open Data Hub...

Hue is also ideal for building your own [Cloud SQL Editor](/developer/components/) and any contributions are welcome.

!["Hue Editor"](https://cdn.gethue.com/uploads/2021/02/hue-4.9.png)


Quick Start
-----------
[Launch](/quickstart/) a Hue service in 1 minute.

Administrate
------------
The [Administrator guide](administrator/index.html) describes how to install the server and configure connectors to your Databases / Warehouses and Storages.

Use
---
The [User guide](user/index.html) has instructions about how to leverage Querying and Sharing functionalities.

Develop
-------
Find how to reuse the SQL components/Parsers, call the API, extend Hue in the [Developer guide](developer/index.html).

Releases
--------

* February 2, 2021 --- [Version 4.9.0](releases/release-notes-4.9.0/index.html)
* September 23, 2020 --- [Version 4.8.0](releases/release-notes-4.8.0/index.html)
* April 10, 2020 --- [Version 4.7.0](releases/release-notes-4.7.0/index.html)
* December 5, 2019 --- [Version 4.6.0](releases/release-notes-4.6.0/index.html)
* August 12, 2019 --- [Version 4.5.0](releases/release-notes-4.5.0/index.html)
* March 28, 2019 --- [Version 4.4.0](releases/release-notes-4.4.0/index.html)
* October 17, 2018 --- [Version 4.3.0](releases/release-notes-4.3.0/index.html)
* April 4, 2018 --- [Version 4.2.0](releases/release-notes-4.2.0/index.html)
* October 4, 2017 --- [Version 4.1.0](releases/release-notes-4.1.0/index.html)
* June 9, 2017 --- [Version 4.0.0](releases/release-notes-4.0.0/index.html)
* Feb 6, 2017 --- [Version 3.12.0](releases/release-notes-3.12.0/index.html)
* Aug 17, 2016 --- [Version 3.11.0](releases/release-notes-3.11.0/index.html)
* May 11, 2016 --- [Version 3.10.0](releases/release-notes-3.10.0/index.html)
* August 7, 2015 --- [Version 3.9.0](releases/release-notes-3.9.0/index.html)
* April 24, 2015 --- [Version 3.8.0](releases/release-notes-3.8.0/index.html)
* October 9, 2014 --- [Version 3.7.0](releases/release-notes-3.7.0/index.html)
* May 29, 2014 --- [Version 3.6.0](releases/release-notes-3.6.0/index.html)
* December 4, 2013 --- [Version 3.5.0](releases/release-notes-3.5.0/index.html)
* September 20, 2013 --- [Version 3.0.0](releases/release-notes-3.0.0/index.html)
* July 15, 2013 --- [Version 2.5.0](releases/release-notes-2.5.0/index.html)
* June 12, 2013 --- [Version 2.4.0](releases/release-notes-2.4.0/index.html)
* April 15, 2013 --- [Version 2.3.0](releases/release-notes-2.3.0/index.html)
* Feb 25, 2013 --- [Version 2.2.0](releases/release-notes-2.2.0/index.html)
* Oct 2, 2012 --- [Version 2.1.0](releases/release-notes-2.1.0/index.html)
* June 4, 2012 --- [Version 2.0.1](releases/release-notes-2.0.1/index.html)
* Apr 10, 2012 --- [Version 2.0.0-beta](releases/release-notes-2.0.0-beta/index.html)
* Feb 21, 2011 --- [Version 1.2.0](releases/release-notes-1.2.0/index.html)
* Oct 11, 2010 --- [Version 1.1.0](releases/release-notes-1.1.0/index.html)
* Aug 20, 2010 --- [Version 1.0.1](releases/release-notes-1.0.1/index.html)
* Aug 13, 2010 --- [Version 1.0.0](releases/release-notes-1.0.0/index.html)
* June 29, 2010 --- [Version 0.9.0](releases/release-notes-0.9.0/index.html)
* May 21, 2010 --- [Version 0.4.2](releases/release-notes-0.4.2/index.html)
* April 7, 2010 --- [Version 0.4.1](releases/release-notes-0.4.1/index.html)
* March 31, 2010 --- [Version 0.4.0](releases/release-notes-0.4.0/index.html)
* November 23, 2009 --- [Version 0.3.0](releases/release-notes-0.3.0/index.html)
* October 2, 2009 --- Version 0.2.0
