---
title: Hue 2.0
author: admin
type: post
date: 2012-06-04T04:00:00+00:00
url: /hue-2-0/
tumblr_gethue_permalink:
  - http://gethue.tumblr.com/post/49800717271/hue-2-0
tumblr_gethue_id:
  - 49800717271
sf_thumbnail_type:
  - none
sf_thumbnail_link_type:
  - link_to_post
sf_detail_type:
  - none
sf_page_title:
  - 1
sf_page_title_style:
  - standard
sf_no_breadcrumbs:
  - 1
sf_page_title_bg:
  - none
sf_page_title_text_style:
  - light
sf_background_image_size:
  - cover
sf_social_sharing:
  - 1
sf_sidebar_config:
  - left-sidebar
sf_left_sidebar:
  - Sidebar-2
sf_right_sidebar:
  - Sidebar-1
sf_caption_position:
  - caption-right
slide_template:
  - default
categories:
  - Browsing
  - Querying
  - Scheduling

---
[Hue 2.0.1][1] has just been [released][2]{.trackLink}. 2.0.1 represents major improvement on top of the Hue 1.x series. To list a few key new features:

  * Frontend has been re-implemented as full screen pages.
  * Hue supports LDAP (OpenLDAP and Active Directory). Hue can be configured to authenticate against LDAP. Additionally, Hue can import users and groups from LDAP, and refresh group membership from LDAP.
  * Hue supports per-application authorization. Administrators can grant or limit group access to applications.
  * Hue has a new Shell application, which allows access to the HBase shell, Pig shell, and more.
  * The Job Designer now submits jobs through Oozie, which is more secured.

<div>
  Please see the <a href="https://github.com/downloads/cloudera/hue/release-notes-2.0.1.html">release notes</a> for a complete reference.
</div>

<div>
</div>

<div>
  <span><strong>A New Frontend</strong></span>
</div>

In particular, I am really excited about the new frontend. The Hue 1.x frontend renders application UIs via Javascript in [desktop-like windows][3], which coexist in a single browser window. This desktop-like frontend turns out to be hard to maintain, as well as inconvenient and inflexible for third party application developers. In Hue 2.0, each application gets its own browser window or tab:

[<img class="alignnone size-full wp-image-15364" alt="Applications in multiple tabs" src="http://www.cloudera.com/wp-content/uploads/2012/06/multi21.png" width="844" height="575" />][4]

For end users, this means that every page view has its own URL and can be bookmarked. Users also have better control of the windowing behaviours (maximize, minimize, alt-tab) and browsing history. And for enterprise users, Hue 2.0 works on Internet Explorer, which is plagued by memory reclamation issues with Hue 1.x.

For third party application developers, this greatly reduces the complexity of writing an application frontend. Developers also have full control of the rendered HTML, and can therefore employ their favourite Javascript and CSS libraries ([jQuery][5], [Bootstrap][6], [knockout.js][7], [Highcharts][8], etc.). Hue 2.0 itself uses jQuery and Bootstrap extensively, which has sped up our own frontend development cycles.

**<span>Compatibility</span>**

Applications written for Hue 1.x are not compatible with Hue 2.0. Fortunately, the transition is straightforward and is documented in the [SDK guide][9]. For example, Hue 1.x provides an “HtmlTable” widget that supports banding, column sorting and more. In Hue 2.0, the same functionality is provided by the [DataTables][10].

Hue 2.0.1 is compatible with (and included in) CDH4.

  * It works with [HA NameNode][11], since it communicates with HDFS via the [HttpFS REST API][12].
  * It can submit jobs to YARN, since job submission is executed via Oozie. But it cannot browse any YARN jobs.
  * It supports Hive 0.8.1.

**<span>Acknowledgement</span>**

This release is possible thanks to the contributions from [the team][13]. Your feedback is greatly appreciated. Drop us a note in our [user list][14].

 [1]: http://cloudera.github.com/hue/docs-2.0.1/index.html
 [2]: https://cdn.gethue.com/downloads/releases/2.0.1/hue-2.0.1.tgz
 [3]: http://blog.cloudera.com/blog/2010/07/whats-new-in-cdh3b2-hue/ "What’s New in CDH3b2: HUE"
 [4]: http://www.cloudera.com/wp-content/uploads/2012/06/multi21.png
 [5]: http://jquery.com/
 [6]: http://twitter.github.com/bootstrap/
 [7]: http://knockoutjs.com/
 [8]: http://www.highcharts.com/
 [9]: http://cloudera.github.com/hue/docs-2.0.1/sdk/sdk.html
 [10]: http://datatables.net/
 [11]: http://blog.cloudera.com/blog/2012/03/high-availability-for-the-hadoop-distributed-file-system-hdfs/ "High Availability for the Hadoop Distributed File System (HDFS)"
 [12]: http://hadoop.apache.org/common/docs/stable/webhdfs.html
 [13]: http://cloudera.github.com/hue/docs-2.0.1/release-notes/release-notes-2.0.1.html#_contributors
 [14]: https://groups.google.com/a/cloudera.org/group/cdh-user/topics?hl=en
