---
title: Hue 4.8 and its improvements are out!
author: Hue Team
type: post
date: 2020-09-23T00:00:00+00:00
url: /blog/hue-4-8-phoenix-flink-sparksql-components/
sf_thumbnail_type:
  - none
sf_thumbnail_link_type:
  - link_to_post
sf_detail_type:
  - none
sf_page_title:
  - 1
sf_page_title_style:
  - standard
sf_no_breadcrumbs:
  - 1
sf_page_title_bg:
  - none
sf_page_title_text_style:
  - light
sf_background_image_size:
  - cover
sf_social_sharing:
  - 1
sf_related_articles:
  - 1
sf_sidebar_config:
  - left-sidebar
sf_left_sidebar:
  - Sidebar-2
sf_right_sidebar:
  - Sidebar-1
sf_caption_position:
  - caption-right
sf_remove_promo_bar:
  - 1
ampforwp-amp-on-off:
  - default
categories:
  - Version 4.8
  - Release

---
Hi Data Explorers,

The Hue Team is glad to thanks all the contributors and release Hue 4.8!

<a href="https://cdn.gethue.com/uploads/2020/09/hue-4.8.png">
  <img src="https://cdn.gethue.com/uploads/2020/09/hue-4.8.png" />
</a>

&nbsp;

This release brings all these improvements on top of [4.7](/blog/hue-4-7-and-its-improvements-are-out/):

* [SQL Editor](/blog/sql-querying-improvements-phoenix-flink-sparksql-erd-table/)
  * Initial support of Apache [Flink](/blog/sql-editor-for-apache-flink-sql/), [Phoenix](/sql-querying-apache-hbase-with-apache-phoenix/), [SparkSql](/blog/quick-task-sql-editor-for-apache-spark-sql-with-livy/) SQL dialects
  * Parser refactoring to make Apache Calcite grammar improvements easier
  * Entity Relationship Diagram of SQL tables with Foreigh Keys as links to other tables
  * Improved collaboration with [Query sharing and SQL Gist](/blog/2020-03-04-datawarehouse-database-sql-collaboration-and-sharing-with-link-and-gist/)
* API
  * New [components framework](https://docs.gethue.com/developer/components/) to make pieces clean and reusable
    * ERD Diagram of SQL tables
    * Parser: Reuse the JavaScript module to tokenize SQL queries
  * [REST API](/blog/rest-api-execute-sql-queries-browse-files/): invoke actions like 'Execute SQL query', 'List or download files on S3'
  * How to login with Apache Knox in a secure cluster
* Development
  * [Docker](/quickstart-hue-in-docker/) / Kubernetes / Grafana config were refreshed
  * Continuous Integration: Python lint, commit messages checks, JavaScript licenses
  * Onboarding experience simplified
* Preview
  * Editor v2, Connectors, Python 3 are in beta



It has more than 600+ commits and 200+ bug fixes! For more details on all the changes, check out the [release notes](https://docs.gethue.com/releases/release-notes-4.8.0/).

Go grab it and give it a spin!

* Docker
    ```
    docker run -it -p 8888:8888 gethue/4.8.0
    ```
* Kubernetes :
    ```
    helm repo add gethue https://helm.gethue.com
    helm repo update
    helm install gethue/hue
    ```
* [demo.gethue.com](demo.gethue.com)
* [Tarball](https://cdn.gethue.com/downloads/hue-4.8.0.tgz) or [source](https://github.com/cloudera/hue/archive/release-4.8.0.zip)

</br>
</br>

Any feedback or question? Feel free to comment here or on the <a href="https://discourse.gethue.com/">Forum</a> and <a href="https://docs.gethue.com/quickstart/">quick start</a> SQL querying!


Onwards!

Romain from the Hue Team
